com.beaglebuddy.id3.enums.v24

## Enum TextSizeRestriction

- java.lang.Object
- - java.lang.Enum<TextSizeRestriction>
  - - com.beaglebuddy.id3.enums.v24.TextSizeRestriction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextSizeRestriction>

      public enum TextSizeRestriction
      extends java.lang.Enum<TextSizeRestriction>

  valid ID3v2.4 text size restrictions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHARACTERS_1024` No string is longer than 1024 characters.
    `CHARACTERS_128` No string is longer than 128 characters.
    `CHARACTERS_30` No string is longer than 30 characters.
    `NO_RESTRICTIONS` No restrictions on text size.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` get a description of the text size restriction.
    `byte` | `getMask()` get the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.
    `static TextSizeRestriction` | `getTextSizeRestriction(byte textSizeRestriction)` converts an integral value to its corresponding text size restriction enum.
    `java.lang.String` | `toString()` get a string representation of the text size restriction.
    `static TextSizeRestriction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextSizeRestriction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_RESTRICTIONS

          public static final TextSizeRestriction NO_RESTRICTIONS

      No restrictions on text size.

    - #### CHARACTERS_1024

          public static final TextSizeRestriction CHARACTERS_1024

      No string is longer than 1024 characters.

    - #### CHARACTERS_128

          public static final TextSizeRestriction CHARACTERS_128

      No string is longer than 128 characters.

    - #### CHARACTERS_30

          public static final TextSizeRestriction CHARACTERS_30

      No string is longer than 30 characters.

  - ### Method Detail

    - #### values

          public static TextSizeRestriction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextSizeRestriction c : TextSizeRestriction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextSizeRestriction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

      get a description of the text size restriction.
      Returns:
        a description of the text size restriction.

    - #### getMask

          public byte getMask()

      get the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.
      Returns:
        the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.

    - #### getTextSizeRestriction

          public static TextSizeRestriction getTextSizeRestriction(byte textSizeRestriction)
                                                            throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding text size restriction enum.
      Parameters:
        `textSizeRestriction` - integral value to be converted to a text size restriction enum.
      Returns:
        a text size restriction enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the integral value is not a valid text size restriction.

    - #### toString

          public java.lang.String toString()

      get a string representation of the text size restriction.
      Overrides:
        `toString` in class `java.lang.Enum<TextSizeRestriction>`
      Returns:
        a string representation of the text size restriction.